import sys
import os
from gert import GAUSS, GEMatrix

eng = GAUSS(os.getcwd())

# You can also specify the path manually
#eng = ge.GAUSS("C:/mteng19", False)
# Even using a custom environment variable
#eng = ge.GAUSS("CUSTOM_ENV_VAR")

# Initialize the engine
if not eng.initialize():
    sys.exit(1)

# make proc available
eng.executeCompiledFile("myproc.gss.gcg")

# Load variables into workspace
eng["x"] = GEMatrix([1, 2, 3, 4, 5, 6, 7, 8, 9, 10], 5, 2) # specify rows/cols or else it will save as a vector
eng["y"] = 5

# Call the proc
eng.executeString("ans = myProc(x, y)");

# You could specify the scalar directly as well
#eng.executeString("ans = myProc(x, {})".format(5));

# Fetch answer from workspace
ans = eng["ans"]

# Or fetch & clear value from workspace
#ans = eng.getMatrixAndClear("ans")

print("Answer = \n{}".format(str(ans)))

eng.shutdown()

